#include "sensors.h"

MMA8452Q accel(p9, p10, 0x1D);
DigitalIn Bouton1(p20);

SENSOR readAccel(); 
SENSOR readBouton1();

SENSOR (*p[2])();

void initialize_sensors()
{
    accel.init();     
    p[0] = readAccel;
    p[1] = readBouton1;
}

SENSOR readAccel()
{
    SENSOR Result;
    Result.Accelerometre.x = accel.readX();
    Result.Accelerometre.y = accel.readY();
    Result.Accelerometre.z = accel.readZ();
    return Result;
}

SENSOR readBouton1()
{
    SENSOR Result;
    Result.Bouton.etat = Bouton1;   
    return Result;
}

void Test()
{
    initialize_sensors();

    Serial pc(USBTX, USBRX); // tx, rx
    for(int i = 0; i<2;i++)
    {
        pc.printf("Result : %u \r\n",(*p[i])()); // Display URL
    }
}